#!/usr/bin/perl -w

$| = 1;

use strict;
use warnings;
use CGI;
use CGI::Carp qw(fatalsToBrowser);

our $cgi = new CGI;
print $cgi->header();

our $dir = './';

my $temp_genus       = $cgi->param('genus');
my $temp_noun_or_not = $cgi->param('noun_or_not');
my $temp_word_type   = $cgi->param('word_type');     

my $question = $cgi->param('ask');

my $log = $cgi->param('log');

sub footer {
	return << "	EOT";
	<p>&nbsp;</p>
	<p>&nbsp;</p>
<center>
<script type="text/javascript"><!--
google_ad_client = "pub-9576216575503343";
/* 728x90, Erstellt 01.03.08 */
google_ad_slot = "7473292167";
google_ad_width = 728;
google_ad_height = 90;
//-->
</script>
<script type="text/javascript"
src="http://pagead2.googlesyndication.com/pagead/show_ads.js">
</script>
</center>
</div>
</div>

<p>&nbsp;</p>

<p>
<center>Alle Texte auf dieser Website k&ouml;nnen unter den Bedingungen der GNU Free Documentation License verwendet werden.</center>
</p>

<p>&nbsp;</p><p>&nbsp;</p>
</body>
</html>

	
	EOT
}

sub impl_get_genus {
	my ( $CLIENT_ref, $word ) = @_;
	my $CLIENT = $$CLIENT_ref;

	if ($temp_genus) {
		my $temp = $temp_genus;
		$temp_genus = undef;
		return $temp;
	}

	print << "	EOT";
	
	--></div>
	
	<p>
	Welches grammatische Geschlecht (der, die, das) hat das Wort $word ?
	</p>
	
	<form method="get">
	<select name='genus' size='5'>
 	<option value='1'>m&auml;nnlich</option>
 	<option value='2'>weiblich</option>
 	<option value='3'>s&auml;chlich</option>
 	</select>	<br/>	<br/>
	<input type="hidden" name="log" value="$log" />
 	<input type="hidden" name="ask" value="$question" />
 	<button name="ok" type='submit'>Absenden und vorherigen Satz beantworten</button>
	EOT
	print '<input type="hidden" name="noun_or_not" value="' . ($cgi->param('noun_or_not')) . '" />';
	
	print << "	EOT";
	</form>
	
	EOT
	
	print footer();

	exit 0;
}

sub impl_get_noun_or_not {
	my ( $CLIENT_ref, $word ) = @_;
	my $CLIENT = $$CLIENT_ref;

	if ($temp_noun_or_not) {
		my $temp = $temp_noun_or_not;
		$temp_noun_or_not = undef;
		return $temp;
	}

	print << "	EOT";

	--></div>
	
	<p>
	Ist das Wort $word als Nomen gemeint ?
	</p>
	
	<form method="get">
	<select name='noun_or_not' size='5'>
 	<option value='1'>Nomen</option>
 	<option value='2'>kein Nomen</option>
 	</select>	<br/>	<br/>
	<input type="hidden" name="log" value="$log" />
 	<input type="hidden" name="ask" value="$question" />
 	<button name="ok" type='submit'>Absenden und vorherigen Satz beantworten</button>
	</form>
	
	EOT

	print footer();

	exit 0;
}

sub impl_get_word_type {
	my ( $CLIENT_ref, $word ) = @_;
	my $CLIENT = $$CLIENT_ref;

	if ($temp_word_type) {
		my $temp = $temp_word_type;
		$temp_word_type = undef;
		return $temp;
	}

	print << "	EOT";
	
	--></div>

	<p>
	Welche Wortart hat das Wort $word ?
	</p>
	
	<form method="get">
 	<select name='word_type' size='6'>
 	<option value='2'> Nomen oder Name oder Pronomen</option>
 	<option value='1'>Verb</option>
 	<option value='3'>Adjektiv oder Adverb</option>
 	<option value='5'>Fragewort oder Konjunktion</option>
 	<option value='6'>Pr&auml;position</option>
 	<option value='7'>Interjektion / Ausruf</option>
 	</select><br/><br/>
	<input type="hidden" name="log" value="$log" />
 	<input type="hidden" name="ask" value="$question" />
 	<button name="ok" type='submit'>Absenden und vorherigen Satz beantworten</button>
	EOT
	print '<input type="hidden" name="noun_or_not" value="' . ($cgi->param('noun_or_not')) . '" />';
	
	print << "	EOT";

	</form>		 		
	EOT

	print footer();

	exit 0;
}

print << "EOT";
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="de" lang="de">
<head>
	<title>JEliza - Die Opensource KI</title>
	<link rel="stylesheet" type="text/css" media="screen" href="http://www.jeliza.org/styles.css" />
</head>
<body>

<div id="top">&nbsp;</div>



<div class="jelizaeigenschaften">
	<table border="0" style="border: 0px;">
		<tr>
			<td>
				<a href="http://www.jeliza.org/download.php">
					<img src="http://www.jeliza.org/download.gif" alt="Download" /><br/>
					Download
				</a>
			</td>
			<td>
				<a href="http://wiki.jeliza.org/">
					<img src="http://www.jeliza.org/support.gif" alt="Wiki" /><br/>
					Wiki
				</a>
			</td>
		</tr>
	</table>
</div>
<div id="sidebartop_l">
	<div class="menuheading">Navigation</div>
	<div class="sidebar">
		<ul>
		<li><a href="http://www.jeliza.org/"><span class="topic">Startseite</span></a></li>
		<li><a href="http://www.jeliza.org/download.php"><span class="topic">Download</span></a></li>
		<li><a href="http://www.jeliza.org/wiki/index.php/JEliza-Erste_Schritte"><span class="topic">Erste Schritte</span></a></li>
		<li><a href="http://www.jeliza.org/wiki/index.php/JEliza-FAQ"><span class="topic">H&auml;ufig gestellte Fragen</span></a></li>
		<li><a href="http://www.jeliza.org/screenshots.php"><span class="topic">Screenshots</span></a></li>
		<li><a href="http://developer.jeliza.org/online/jeliza-cgi.pl"><span class="topic">Online-Version</span></a></li>
		<li><a href="http://www.jeliza.org/license.php"><span class="topic">Lizenz</span></a></li>


		</ul>
	</div>
</div>
<div id="sidebartop_r">
	<div class="menuheading">Werbung</div>
	<div class="sidebar">
<script type="text/javascript"><!--
google_ad_client = "pub-9576216575503343";
/* 120x600, Erstellt 25.02.08 */
google_ad_slot = "9946834990";
google_ad_width = 120;
google_ad_height = 600;
//-->
</script>
<script type="text/javascript"
src="http://pagead2.googlesyndication.com/pagead/show_ads.js">
</script>
	</div>

	<!--
	<div class="menuheading">News</div>
	<div class="sidebar">
	<p>
	Datum: <?=date ("d.m.Y", filemtime("news.inc"));?><br />
	
	Autor: Tobias Schulz
	</p>
	<p>
	<?=file_get_contents("news.inc");?>
	</p>
	</div>-->
	
</div>


<div class="contentpart">

<div class="textcontentheading">JEliza - das Projekt</div>
<div class="textcontent">
EOT

require 'jeliza-engine.pl';

#print $cgi->param('log');

if ( $cgi->param('ask') ) {
	my $display_str = '';

	open my $CLIENT, ">>", "to-server.log";

	print "<div style='display:none;'><!--";

	load_word_types();
	load_database_file( $dir . "/lang_" . get_lang_str() . "/facts.pro" );

	my $dialog = ask( \$CLIENT, $cgi->param('ask'), \$display_str );
	$log .= $dialog;

	print "--></div>\n\n";
	
	open my $dialog_file, ">>", 'dialog.txt';
	chomp $dialog;
	$dialog =~ s/[<]br[>]/\n/igm; 
	chomp $dialog;
	$dialog =~ s/[<](.*?)[>]//igm;
	print $dialog_file $dialog . "\n";
	close $dialog_file;

	$log =~ s/[:]+/:/igm;
	
	$log =~ s/\n//gm;

	print $log;
}

print << "EOT";
	<p>&nbsp;</p>
	<form method="get">
	Bitte Satz eingeben:
	<input type="text" name="ask" id="ask" value="" />
	<input type="hidden" name="log" value="$log" />
	<br/>	<br/>
	<button name="ok" type='submit'>Antworten!</button>
	</form>
	
	<script type="text/javascript">
		document.getElementById('ask').focus();
	</script>

EOT

print footer();
exit(0);
